Get the configured GHG scope category and factor for a meter. GHG License is required to call this endpoint.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| meterId | The meter to retrieve settings for | integer (int32) | Required |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
GHGSettingResponseV202210
| Property | Description | Type | ||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| factor | GHGFactorV202210 | |||||||||||||||||||||||||||||||
|
GHGFactorV202210 properties
|
||||||||||||||||||||||||||||||||
| isConfigured | Flag indicating whether or not configuration exists for this meter. If false, EnergyCap.DTO.V202210.GHG.GHGSettingResponseDTO.Factor or EnergyCap.DTO.V202210.GHG.GHGSettingResponseDTO.ScopeCategory may be null. | boolean | ||||||||||||||||||||||||||||||
| scopeCategory | GHGScopeCategoryV202210 | |||||||||||||||||||||||||||||||
|
GHGScopeCategoryV202210 properties
|
||||||||||||||||||||||||||||||||
| usingDefaultSettings | If true, this meter is using the default GHG settings that were in effect at the time the meter was created | boolean | ||||||||||||||||||||||||||||||
Example Response
{ "factor": { "factorCategory": { "factorCategoryId": 1, "factorCategoryInfo": "string"
}, "factorDescription": "string", "factorId": 1, "factorInfo": "string", "factorType": "string"
}, "isConfigured": false, "scopeCategory": { "scope": { "scopeId": 1, "scopeInfo": "string"
}, "scopeCategoryDescription": "string", "scopeCategoryId": 1, "scopeCategoryInfo": "string"
}, "usingDefaultSettings": false
}